Abrasive Posted July 16, 2022 Posted July 16, 2022 What I would Like to do is have a single click dimension that stays active until I hit esc or enter. I do a lot of entity dimensioning. My normal routine is start the dimension tool then hit enter to select measure "Entity" then start over....hundreds of times Is there a routine to keep that tool and option persistent? Then I can enter a command and single click a polyline segment for example, one after another. Thanks in advance Quote
Steven P Posted July 16, 2022 Posted July 16, 2022 You could do this with a 'while' loop  In the simplest, set up a LISP , then something simple like (while (= EndLoop "No") .... your dimension stuff ....) Which if that is all you are dong escape will end the while loop (OK with an error, but that isn't so important in this case). It should keep loopimg round so all you need to do is click on the entity.  Not sure your LISP abilities but that would be my first idea, have a go Quote
Abrasive Posted July 16, 2022 Author Posted July 16, 2022 my lisp abilities suck....lol I'm having a hard time with it. I've written code in c# and vb but for some reason lisp is throwing me for a loop...... Quote
BIGAL Posted July 17, 2022 Posted July 17, 2022 You can write in VBA if you want just make sure you download the VBA extension.  Something like this NOTE defun name has 2 "LL" as "Dimali" is a valid command name so caught me out for a couple of minutes always worth checking defun names. Just press Enter to exit or Esc  (defun c:dimalli ( / ) (while (setq pt1 (getpoint "\npick 1st point ")) (setq pt2 (getpoint "\npick 2nd point")) (setq pt3 (getpoint pt1 "\nPick dim line point ")) (command "DIMALIGNED" pt1 pt2 pt3) ) (princ) )   1 Quote
Abrasive Posted July 17, 2022 Author Posted July 17, 2022 @BIGALÂ is there a way to set options? for example when I start a DIMALIGNED I then have to hit "E" for entity. Is there a switch for that option? Thanks! Quote
mhupp Posted July 17, 2022 Posted July 17, 2022 I would make it a little more dynamic by removing pt3 and adding a pause  (defun c:dimalli ( / ) (while (setq pt1 (getpoint "\npick 1st point ")) (setq pt2 (getpoint "\npick 2nd point")) (command "DIMALIGNED" pt1 pt2 pause) ) (princ) )  Quote
BIGAL Posted July 17, 2022 Posted July 17, 2022 Hi mhupp yeah had it that way 1st go. Â Tom don't understand the "E" just make sure osnaps are set correct can be added to defun. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.